"""
2D Crosssection plots
===================

Use the output of a roxie 2d Plot and plot it with matplotlib

Download Input files

* :download:`dipole_2d.data <../../../../../examples/input_files/dipole_2d.data>`
* :download:`dipole_2d.post.xml <../../../../../examples/input_files/dipole_2d.post.xml>`
"""

# %%
# Setting up
# ----------
# Standard Loading of input, Parsing and Initializing RoxiePlotOutputs object
#
from roxieapi.output.plots import RoxiePlotOutputs

plots = RoxiePlotOutputs(
    "../input_files/dipole_2d.post.xml", "../input_files/dipole_2d.data"
)

# %%
# Plotting the Roxie defined 2D plots
# -----------------------------------
# Load a 2D plot and show it's geometry
#
parser = plots.output

xs = parser.get_crosssection_plot(1)
assert xs is not None

figure = plots.plots2d.plot_xs(xs)

# %%
